<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 * INCLUDE config.php
 */
require_once(dirname(__FILE__) . '/../webapp/config.php');

/**
 * INCLUDE init.php
 */
require_once(dirname(__FILE__) . '/../webapp/init.php');

// サムネイル機能の利用確認
if (!POCKET_SBS_THUMBNAIL)
{
    exit();
}


/**
 * 設定情報
 */
// サムネイル画像のサイズ
$thumbnail_width = 110;
$thumbnail_height = 68;

// サムネイル画像の一括作成件数
// （cronの起動時間の間隔を考慮してください）
$thumbnail_count = 5;

// プロファイル名称
$profile = 'pocket';


/**
 * サムネイルの取得、出力
 */
// エラー出力の抑制
ini_set('display_errors', false);

// 未サムネイル情報の取得
$thumb_list = db_get_url4thumbnail($thumbnail_count);

if ($thumb_list)
{
    // 仮想フレームバッファ（Xvfb）の起動
    $cmd  = '/usr/X11R6/bin/Xvfb :1 -screen 0 1024x768x24 > /dev/null &';
    $line = system($cmd , $return);

    // ブラウザ（firefox）の起動
    putenv("DISPLAY=:1.0");
    $cmd  = '/usr/bin/firefox -display :1 -width 1024 -height 768 -P "' . $profile . '" > /dev/null &';
    $line = system($cmd , $return);

    // 15秒間スリープ
    sleep(15);

    foreach ($thumb_list as $thumbnail)
    {
        // サムネイル画像ファイル名称の設定
        $img_name = rawurlencode($thumbnail['url']);
        // サムネイル画像ファイルの格納場所の設定
        $thumb_img = POCKET_SBS_THUMBNAIL_DIR . $img_name . '.' . POCKET_SBS_THUMBNAIL_EXT;
        // スクリーンショット画像ファイルの格納場所の設定
        $scrshot_img = SMARTY_CACHE_DIR . $img_name . '.png';

        // サイト表示
        $cmd  = '/usr/bin/firefox -display :1 -remote "openurl(' . $thumbnail['url'] . ')" &';
        $line = system($cmd , $return);

        // 15秒間スリープ
        sleep(15);

        // スクリーンショット画像を保存
        $cmd  = '/usr/bin/import -display :1 -window root ' . $scrshot_img;
        $line = system($cmd , $return);

        // 保存された画像をトリミング
        $cmd  = '/usr/bin/convert -crop 980x600+0+90 ' . $scrshot_img . ' ' . $scrshot_img;
        $line = system($cmd , $return);

        // 画像サイズの取得
        list($width, $height, $type, $attr) = getimagesize($scrshot_img);

        // 画像イメージの作成
        $buf_scrshot_img = imagecreatefrompng($scrshot_img);

        // サムネイル画像の加工（サイズ縮小）
        $buf_thumb_img = imagecreatetruecolor($thumbnail_width, $thumbnail_height);
        imagecopyresampled($buf_thumb_img, $buf_scrshot_img, 0, 0, 0, 0, $thumbnail_width, $thumbnail_height, $width, $height);

        // サムネイル画像を保存
        switch (POCKET_SBS_THUMBNAIL_EXT)
        {
        case "png":
            imagepng($buf_thumb_img, $thumb_img);
            break;
        case "jpeg":
        case "jpg":
            imagejpeg($buf_thumb_img, $thumb_img);
            break;
        case "gif":
            imagegif($buf_thumb_img, $thumb_img);
            break;
        default:
            break;
        }

        // イメージの破棄
        imagedestroy($buf_thumb_img);
        imagedestroy($buf_scrshot_img);

        // スクリーンショット画像を削除
        unlink($scrshot_img);

        // サムネイルフラグの更新
        db_update_url4is_thumbnail($thumbnail['url_id'], true);
    }

    // ブラウザ（firefox）の終了
    $cmd  = 'killall firefox-bin > /dev/null &';
    $line = system($cmd , $return);

    // 仮想フレームバッファ（Xvfb）の終了
    $cmd  = 'killall Xvfb > /dev/null &';
    $line = system($cmd , $rtn);
}

exit();

?>
