<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

require_once('Mail.php');
require_once('Net/POP3.php');

/**
 *  Mailクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    Pocket
 */
class Pocket_Mail
{
    /**
     *  コンストラクタ
     *
     *  @access public
     */
    function Pocket_Mail()
    {
    }

    /**
     *  メール送信
     *
     *  @access public
     *  @param  string  $from               送信元のメールアドレス
     *  @param  string  $to                 送信先のメールアドレス
     *  @param  string  $subject            タイトル
     *  @param  string  $body               本文
     */
    function send($from, $to, $subject, $body)
    {
        // POP3認証（POP before SMTP 対応）
        if ($GLOBALS['_POCKET_POP3']['auth'])
        {
            $pop3 =& new Net_POP3;
            $pop3->connect($GLOBALS['_POCKET_POP3']['host'], $GLOBALS['_POCKET_POP3']['port']);
            $result = $pop3->login($GLOBALS['_POCKET_POP3']['username'], $GLOBALS['_POCKET_POP3']['password'], 'USER');
            $pop3->disconnect();
            if (PEAR::isError($result))
            {
                return false;
            }
        }

        // 半角カナを全角カナに変換
        $subject = mb_convert_kana($subject, 'KV');
        $body    = mb_convert_kana($body, 'KV');

        // 改行
        $subject = str_replace('\n', '\r\n ', wordwrap($subject, 75));
        $body    = wordwrap($body, 70);

        // エンコード
        $subject = mb_encode_mimeheader($subject);
        $body    = mb_convert_encoding($body, 'ISO-2022-JP', 'UTF-8');

        // 受取アドレスの設定
        $recipients = $to;

        // ヘッダの設定
        $headers['From']    = $from;
        $headers['To']      = $to;
        $headers['Subject'] = $subject;

        // メールオブジェクトを生成
        $mailObject =& Mail::factory('SMTP', $GLOBALS['_POCKET_SMTP']);

        // メールを送信
        $result = $mailObject->send($recipients, $headers, $body);

        if (PEAR::isError($result))
        {
            return false;
        }
        return true;
    }
}

?>
