<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

require_once('Crypt/Blowfish.php');
require_once('Text/Password.php');

/**
 *  可逆的な暗号化文字列を生成
 *
 *  @access public
 *  @param  string  $target             文字列
 *  @param  string  $key                鍵
 */
function pocket_encrypt($target, $key)
{
    if (!$target)
        return '';
    $blowfish = new Crypt_Blowfish($key);
    return base64_encode($blowfish->encrypt($target));
}

/**
 *  可逆的な暗号化文字列を復元
 *
 *  @access public
 *  @param  string  $target             文字列
 *  @param  string  $key                鍵
 */
function pocket_decrypt($target, $key)
{
    if (!$target)
        return '';
    $blowfish = new Crypt_Blowfish($key);
    return rtrim($blowfish->decrypt(base64_decode($target)));
}

/**
 *  パスワードを自動生成
 *
 *  @access public
 *  @param  string  $length             桁数
 */
function pocket_creatPassword($length = 8)
{
    return Text_Password::create($length, 'unpronounceable', 'alphanumeric');
}

?>
