CREATE TABLE `psb_access_log` (
    `access_log_id` int(11) NOT NULL auto_increment,
    `user_agent` varchar(255) NOT NULL DEFAULT '',
    `ip` varchar(100) NOT NULL DEFAULT '',
    `host` varchar(255) NOT NULL DEFAULT '',
    `uri` varchar(255) NOT NULL DEFAULT '',
    `referer` varchar(255) NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`access_log_id`)
) ENGINE=MyISAM;

CREATE TABLE `psb_blocks` (
    `block_id` int(11) NOT NULL auto_increment,
    `ip` varchar(100) NOT NULL DEFAULT '',
    `note` text NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`block_id`)
) ENGINE=MyISAM;

CREATE TABLE `psb_block_log` (
    `block_log_id` int(11) NOT NULL auto_increment,
    `ip` varchar(100) NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`block_log_id`)
) ENGINE=MyISAM;

CREATE TABLE `psb_sbs_config` (
    `sbs_config_id` int(11) NOT NULL auto_increment,
    `name` varchar(64) NOT NULL DEFAULT '',
    `value` text NOT NULL DEFAULT '',
    PRIMARY KEY  (`sbs_config_id`)
) ENGINE=MyISAM;

CREATE TABLE `psb_links` (
    `link_id` int(11) NOT NULL auto_increment,
    `link_name` varchar(255) NOT NULL DEFAULT '',
    `url` text NOT NULL DEFAULT '',
    `sort_order` int(11) NOT NULL DEFAULT 0,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`link_id`)
) ENGINE=MyISAM;

CREATE TABLE `psb_urls` (
    `url_id` int(11) NOT NULL auto_increment,
    `url` text NOT NULL DEFAULT '',
    `is_thumbnail` tinyint(1) NOT NULL DEFAULT 0,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `m_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`url_id`)
) ENGINE=MyISAM;

CREATE TABLE `psb_tags` (
    `tag_id` int(11) NOT NULL auto_increment,
    `bookmark_id` int(11) NOT NULL DEFAULT 0,
    `user_id` int(11) NOT NULL DEFAULT 0,
    `url_id` int(11) NOT NULL DEFAULT 0,
    `tag` text NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`tag_id`),
    KEY `bookmark_id` (`bookmark_id`),
    KEY `user_id` (`user_id`),
    KEY `url_id` (`url_id`)
) ENGINE=MyISAM;

CREATE TABLE `psb_bookmarks` (
    `bookmark_id` int(11) NOT NULL auto_increment,
    `user_id` int(11) NOT NULL DEFAULT 0,
    `url_id` int(11) NOT NULL DEFAULT 0,
    `subject` varchar(255) NOT NULL DEFAULT '',
    `explanation` text NOT NULL DEFAULT '',
    `open_type` tinyint(1) NOT NULL DEFAULT 0,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `m_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`bookmark_id`),
    KEY `user_id` (`user_id`),
    KEY `url_id` (`url_id`)
) ENGINE=MyISAM;

CREATE TABLE `psb_images` (
    `image_id` int(11) NOT NULL auto_increment,
    `title` varchar(255) NOT NULL DEFAULT '',
    `size` int(11) NOT NULL,
    `type` varchar(255) NOT NULL DEFAULT '',
    `image` longblob NOT NULL,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`image_id`)
) ENGINE=MyISAM;

CREATE TABLE `psb_banner` (
    `banner_id` int(11) NOT NULL auto_increment,
    `title` varchar(255) NOT NULL DEFAULT '',
    `outline` text NOT NULL DEFAULT '',
    `url` text NOT NULL DEFAULT '',
    `image_id` int(11) NOT NULL,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`banner_id`)
) ENGINE=MyISAM;

CREATE TABLE `psb_user` (
    `user_id` int(11) NOT NULL auto_increment,
    `id` varchar(255) NOT NULL DEFAULT '',
    `email` blob NOT NULL DEFAULT '',
    `password` blob NOT NULL DEFAULT '',
    `easy_login_id` blob NOT NULL DEFAULT '',
    `nickname` varchar(255) NOT NULL DEFAULT '',
    `default_open_type` tinyint(1) NOT NULL DEFAULT 0,
    `simple_indication` tinyint(1) NOT NULL DEFAULT 0,
    `target_blank` tinyint(1) NOT NULL DEFAULT 0,
    `bookmark_size` tinyint(2) NOT NULL DEFAULT 0,
    `allow_login` tinyint(1) NOT NULL DEFAULT 0,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `m_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM;
