<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

// ----- FILE-SYSTEM DIRECTORIES -----


/**
 * アプリケーションの基底ディレクトリ（An absolute file-system path）
 */
define('BASE_DIR', dirname(__FILE__) . '/');


// ----- SMARTY. SETTINGS -----


/**
 * Smartyファイルの配置場所
 */
define('SMARTY_DIR', BASE_DIR . '../lib/Smarty/');

/**
 * テンプレートファイルの配置場所
 */
define('SMARTY_TEMPLATE_DIR', BASE_DIR . 'templates/');

/**
 * キャッシュ機能の有効/無効
 */
define('SMARTY_CACHING', true);

/**
 * キャッシュファイルの格納場所
 */
define('SMARTY_CACHE_DIR', BASE_DIR . 'cache/');

/**
 * キャッシュの生存時間
 */
define('SMARTY_CACHE_LIFETIME', 120);

/**
 * コンパイルしたファイルの格納場所
 */
define('SMARTY_COMPILE_DIR', BASE_DIR . 'templates_c/');

/**
 * テンプレートの強制コンパイルの有効/無効
 */
define('SMARTY_FORCE_COMPILE', true);

/**
 * コンフィグファイルの格納場所
 */
define('SMARTY_CONFIG_DIR', BASE_DIR . 'configs/');


// ----- PEAR. SETTINGS -----


/**
 * PEARファイルの格納場所
 */
define('PEAR_DIR', BASE_DIR . '../lib/PEAR/');


// ----- POCKET. SETTINGS -----


/**
 * POCKETサイトのURL
 */
define('POCKET_SITE_URL', 'http://pocket9.net/');

/**
 * POCKETファイルの格納場所
 */
define('POCKET_DIR', BASE_DIR . '../lib/Pocket/');

/**
 * モジュールファイルの格納場所
 */
define('POCKET_MODULES_DIR', BASE_DIR . 'modules/');

/**
 * アプリケーションのエイリアス名（DocumentRootの場合は'/'）
 */
define('POCKET_APL_ALIAS', '/pocketsbs/');

/**
 * 画像の設定配列（制限なしの場合は全てコメントアウト）
 */
$GLOBALS['_POCKET_IMAGE'] = array(
    'max_size_w' => '400',
//    'max_size_h' => '400',
);

/**
 * DBサーバの設定配列
 */
/** MySQL **/
$GLOBALS['_POCKET_DSN'] = array(
    'phptype'  => 'mysql',
    'username' => 'pocketsbs',
    'password' => 'pocketsbs',
    'hostspec' => 'localhost',
    'database' => 'pocketsbs',
);

/** PostgreSQL **/
/*
$GLOBALS['_POCKET_DSN'] = array(
    'phptype'  => 'pgsql',
    'username' => 'pocketsbs',
    'password' => 'pocketsbs',
    'hostspec' => 'localhost',
    'database' => 'pocketsbs',
);
*/

/**
 * SMTPサーバの設定配列
 */
$GLOBALS['_POCKET_SMTP'] = array(
    'host'      => 'mail.example.com',
    'port'      => 25,
    'auth'      => false,
    'username'  => '',
    'password'  => '',
);

/**
 * POP3サーバの設定配列
 *
 * ※POP before SMTP 対応でメール送信時にも認証で使用します。
 * ※送信時の認証が必要ない場合は、authをfalseに設定してください。
 */
$GLOBALS['_POCKET_POP3'] = array(
    'host'      => 'mail.example.com',
    'port'      => 110,
    'auth'      => true,
    'username'  => 'username',
    'password'  => 'password',
);

/**
 * 利用可能モジュールの設定配列
 */
$GLOBALS['_POCKET_MODULES'] = array(
    'setup',
    'admin',
    'pc',
    'mobile',
);


// ----- APPLICATION. SETTINGS -----


/**
 * バージョン定義
 */
define('POCKET_SBS_VERSION', '1.0.0');

/**
 * ライブラリファイルの格納場所
 */
define('POCKET_SBS_LIB_DIR', BASE_DIR . 'lib/');

/**
 * 暗号化用の鍵（56byte以内のASCII文字列）
 */
define('POCKET_SBS_ENCRYPT_KEY', '1234567890abcdefghijklmnopqrstuvwxyz');

/**
 * アクセスログの二重登録チェック時間（分）
 */
define('POCKET_SBS_LOG_CHECK_TIME', 10);

/**
 * ベース色
 */
define('POCKET_SBS_COLOR',
//    'none'
//    'blue'
    'green'
//    'pink'
//    'gold'
//    'gray'
//    'black'
//    'brown'
//    'purple'
);

/**
 * セッションの有効期限(秒)
 */
define('POCKET_SBS_SESSION_MAX_LIFE_TIME_PC'    , 28800);
define('POCKET_SBS_SESSION_MAX_LIFE_TIME_MOBILE', 1440);
define('POCKET_SBS_SESSION_MAX_LIFE_TIME_ADMIN' , 1440);

/**
 * GCプロセスの始動確率（probability/divisor）
 */
define('POCKET_SBS_SESSION_PROBABILITY', 100);
define('POCKET_SBS_SESSION_DIVISOR'    , 100);

/**
 * サムネイル機能の有効/無効
 */
define('POCKET_SBS_THUMBNAIL', false);

/**
 * サムネイル画像ファイルの格納場所
 */
define('POCKET_SBS_THUMBNAIL_DIR', BASE_DIR . '../thumbnail/');

/**
 * サムネイル画像ファイルの拡張子
 */
define('POCKET_SBS_THUMBNAIL_EXT', 'gif');

/**
 * 公開区分
 */
define('POCKET_SBS_OPEN_TYPE_CLOSE' , 0);
define('POCKET_SBS_OPEN_TYPE_INSIDE', 1);
define('POCKET_SBS_OPEN_TYPE_OPEN'  , 2);

?>
