<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  SBS設定情報の取得
 *
 *  @access public
 */
function db_get_sbs_config_all()
{
    $sql = 'SELECT name, value' .
            ' FROM psb_sbs_config';
    return pocket_db_getAll($sql);
}

/**
 *  指定名称のSBS設定値の取得
 *
 *  @access public
 *  @param  string  $name               設定名称
 */
function db_get_sbs_config_value($name)
{
    $sql = 'SELECT value' .
            ' FROM psb_sbs_config' .
            ' WHERE name = ?';
    $params = array(
        $name
    );
    return pocket_db_getOne($sql, $params);
}

/**
 *  指定名称のSBS設定値の存在チェック
 *
 *  @access public
 *  @param  string  $name               設定名称
 */
function db_is_exist_sbs_config_value($name)
{
    $sql = 'SELECT sbs_config_id' .
            ' FROM psb_sbs_config' .
            ' WHERE name = ?';
    $params = array(
        $name
    );
    return (bool)pocket_db_getOne($sql, $params);
}

/**
 *  SBS設定情報の登録
 *
 *  @access public
 *  @param  string  $name               設定名称
 *  @param  string  $value              設定値
 */
function db_insert_sbs_config($name, $value)
{
    $data = array(
        'name' => $name,
        'value' => $value
    );
    return pocket_db_insert('psb_sbs_config', $data, 'psb_sbs_config_sbs_config_id_seq');
}

/**
 *  SBS設定情報の更新
 *
 *  @access public
 *  @param  string  $name               設定名称
 *  @param  string  $value              設定値
 */
function db_update_sbs_config($name, $value)
{
    // 存在チェック
    if (db_is_exist_sbs_config_value($name))
    {
        // 更新
        $data = array(
            'value' => $value
        );
        $where = array(
            'name' => $name
        );
        return pocket_db_update('psb_sbs_config', $data, $where);
    }
    else {
        // 登録
        return db_insert_sbs_config($name, $value);
    }
}

?>
