<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  Actionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS
 */
class Pocket_Sbs_Action extends Pocket_Action
{
    /**
     *  コンストラクタ
     *
     *  @access public
     */
    function Pocket_Sbs_Action()
    {
        // 親クラスのコンストラクタ
        parent::Pocket_Action();
    }

    /**
     *  サイドメニュー情報をテンプレート変数に設定
     *
     *  @access public
     */
    function assignSideMenuInfo()
    {
        // セッション情報の取得
        $user_id = $_SESSION['user_id'];

        // 認証判定
        if (pocket_isAuth())
        {
            // ユーザ情報の取得、設定
            $this->smarty->assign('user_profile', db_get_user($user_id));
            // ユーザのブックマーク件数の取得、設定
            $this->smarty->assign('user_bookmark_count', db_get_bookmarks_count4tag_keyword(null, $user_id, false));
        }
        else {
            // Cookie保存データの設定
            $this->smarty->assign('id', $_COOKIE['user_id']);
        }

        // 検索条件の設定
        if (!$this->smarty->get_template_vars('search_type'))
        {
            $this->smarty->assign('search_type', "tag");
        }

        // 人気のタグ取得、設定
        $this->smarty->assign('pop_tags_list', psb_makeTagCloud(db_get_tags4pop(POP_TAG_SIZE)));

        // バナー情報（ランダム）の取得、設定
        $this->smarty->assign('banner_list', db_get_banner4random(1, BANNER_SIZE));
    }

    /**
     *  メンテナンス権限フラグをテンプレート変数に設定
     *
     *  @access public
     *  @param  string  $target_user_id     ユーザID
     */
    function assignIsMaintenance($target_user_id)
    {
        // メンテナンス権限フラグの設定
        $this->smarty->assign('is_maintenance', $this->isAllowMaintenance($target_user_id, false));
    }

    /**
     *  メンテナンス許可の判定
     *
     *  @access public
     *  @param  string  $target_user_id     ユーザID
     *  @param  boolean $is_dispError       エラー画面表示フラグ
     */
    function isAllowMaintenance($target_user_id, $is_dispError = true)
    {
        if (!$this->validate4Oneself($_SESSION['user_id'], $target_user_id) || !pocket_isAuth())
        {
            if ($is_dispError)
            {
                pocket_dispError('不正な操作がおこなわれました。');
            }
            return false;
        }
        return true;
    }
}

?>
