<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  バナー情報更新用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.admin.do
 */
class bannerUpdateAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $banner_id = $request['banner_id'];
        $title     = $request['title'];
        $outline   = $request['outline'];
        $url       = $request['url'];

        // バナー情報の更新
        db_update_banner($banner_id, $title, $outline, $url);

        // メッセージの作成
        $params = array('msg' => 'バナー情報を更新しました。');

        // リダイレクト
        pocket_redirect('banner.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $banner_id = $request['banner_id'];
        $title     = $request['title'];
        $outline   = $request['outline'];
        $url       = $request['url'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'bannerEdit';

        // 検証
        $validator->validate('banner_id', 'ID'      , $banner_id, 'number', true);
        $validator->validate('title'    , 'タイトル', $title    , 'string', true);
        $validator->validate('outline'  , '概要'    , $outline  , 'string', false);
        $validator->validate('url'      , 'URL'     , $url      , 'url'   , true);
    }
}

?>
