<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  禁止IP情報更新用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.admin.do
 */
class blockUpdateAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $block_id = $request['block_id'];
        $ip       = $request['ip'];
        $note     = $request['note'];

        // 禁止IPの更新
        db_update_block($block_id, $ip, $note);

        // メッセージの作成
        $params = array('msg' => '禁止IPを更新しました。');

        // リダイレクト
        pocket_redirect('block.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $block_id = $request['block_id'];
        $ip       = $request['ip'];
        $note     = $request['note'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'block';
        // 検証
        $validator->validate('block_id', 'ID'  , $block_id, 'number'   , true);
        $validator->validate('ip'      , 'IP'  , $ip      , 'ipaddress', true);
        $validator->validate('note'    , '備考', $note    , 'string');
    }
}

?>
