<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  パスワード情報更新用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.admin.do
 */
class passwordUpdateAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $password0 = $request['password0'];
        $password1 = $request['password1'];
        $password2 = $request['password2'];

        // パスワードの更新
        db_update_userPassword($_SESSION['user_id'], md5($password1));

        // メッセージの作成
        $params = array('msg' => 'パスワードを更新しました。');

        // リダイレクト
        pocket_redirect('password.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $password0 = $request['password0'];
        $password1 = $request['password1'];
        $password2 = $request['password2'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'password';

        // 検証
        $validator->validate('password0', '現在のパスワード', $password0, 'alnum', true);
        $validator->validate('password1', '新しいパスワード', $password1, 'alnum', true);
        $validator->validate('password2', '確認用パスワード', $password2, 'alnum', true);

        // 新しいパスワードと確認用パスワードの一致チェック
        if ($password1 != $password2)
        {
            $validator->addErrors('password1', '新しいパスワードと確認用パスワードが異なります。');
        }

        // パスワードの桁数チェック
        if (strlen($password1) < 6 || strlen($password1) > 12)
        {
            $validator->addErrors('password1', '新しいパスワードの桁数が不正です。');
        }

        // 旧パスワードの認証
        if (!db_auth_user4password($_SESSION['user_id'], md5($password0)))
        {
            $validator->addErrors('password0', '現在のパスワードの認証に失敗しました。');
        }
    }
}

?>
