<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  SBS設定情報更新用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.admin.do
 */
class sbsUpdateAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $sbs_name          = $request['SBS_NAME'];
        $sbs_intro         = $request['SBS_INTRO'];
        $banner_size       = $request['BANNER_SIZE'];
        $page_size         = $request['PAGE_SIZE'];
        $pop_tag_size      = $request['POP_TAG_SIZE'];
        $hot_bookmark_days = $request['HOT_BOOKMARK_DAYS'];

        // SBS設定の更新
        db_update_sbs_config('SBS_NAME', $sbs_name);
        db_update_sbs_config('SBS_INTRO', $sbs_intro);
        db_update_sbs_config('BANNER_SIZE', $banner_size);
        db_update_sbs_config('PAGE_SIZE', $page_size);
        db_update_sbs_config('POP_TAG_SIZE', $pop_tag_size);
        db_update_sbs_config('HOT_BOOKMARK_DAYS', $hot_bookmark_days);

        // メッセージの作成
        $params = array('msg' => 'SBS設定を更新しました。');

        // リダイレクト
        pocket_redirect('sbs.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $sbs_name          = $request['SBS_NAME'];
        $sbs_intro         = $request['SBS_INTRO'];
        $banner_size       = $request['BANNER_SIZE'];
        $page_size         = $request['PAGE_SIZE'];
        $pop_tag_size      = $request['POP_TAG_SIZE'];
        $hot_bookmark_days = $request['HOT_BOOKMARK_DAYS'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'sbs';
        // 検証
        $validator->validate('SBS_NAME'         , 'SBS名称'                     , $sbs_name         , 'string', true);
        $validator->validate('SBS_INTRO'        , 'SBS紹介'                     , $sbs_intro        , 'string', true);
        $validator->validate('BANNER_SIZE'      , 'バナーの表示件数'            , $banner_size      , 'number', true);
        $validator->validate('PAGE_SIZE'        , '１ページの表示件数'          , $page_size        , 'number', true);
        $validator->validate('POP_TAG_SIZE'     , '人気のタグの表示件数'        , $pop_tag_size     , 'number', true);
        $validator->validate('HOT_BOOKMARK_DAYS', '注目のブックマークの集計期間', $hot_bookmark_days, 'number', true);
    }
}

?>
