<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ユーザのパスワード情報更新用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.admin.do
 */
class userPasswordUpdateAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $user_id   = $request['user_id'];
        $password1 = $request['password1'];
        $password2 = $request['password2'];
        $referer   = $request['referer'];

        // パスワードの更新
        db_update_userPassword($user_id, md5($password1));

        // メッセージの作成
        $params = array('msg' => 'パスワードを更新しました。');

        // リファラの存在チェック
        if ($referer)
        {
            // 指定URLへリダイレクト
            pocket_redirect4location($referer);
        }
        else {
            // ユーザ一覧へリダイレクト
            pocket_redirect('user.view', $params);
        }
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $user_id   = $request['user_id'];
        $password1 = $request['password1'];
        $password2 = $request['password2'];
        $referer   = $request['referer'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'userPassword';

        // 検証
        $validator->validate('user_id'  , 'ID'              , $user_id  , 'number', true);
        $validator->validate('password1', '新しいパスワード', $password1, 'alnum' , true);
        $validator->validate('password2', '確認用パスワード', $password2, 'alnum' , true);

        // 新しいパスワードと確認用パスワードの一致チェック
        if ($password1 != $password2)
        {
            $validator->addErrors('password1', '新しいパスワードと確認用パスワードが異なります。');
        }

        // パスワードの桁数チェック
        if (strlen($password1) < 6 || strlen($password1) > 12)
        {
            $validator->addErrors('password1', '新しいパスワードの桁数が不正です。');
        }
    }
}

?>
