<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  プロフィール設定画面（管理）表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.admin.view
 */
class profileAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // ユーザ情報の取得
        $user_profile = db_get_user($_SESSION['user_id']);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $user_profile['nickname']          = $request['nickname'];
            $user_profile['default_open_type'] = $request['default_open_type'];
            $user_profile['simple_indication'] = $request['simple_indication'];
            $user_profile['target_blank']      = $request['target_blank'];
            $user_profile['bookmark_size']     = $request['bookmark_size'];
        }

        // プロフィール情報の設定
        $this->assign('user_profile', $user_profile);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '管理画面-' . 'プロフィール設定');

        // メッセージの設定
        $this->assign('message', $request['msg']);

        return POCKET_ACTION_SUCCESS;
    }
}

?>
