<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  SBS設定画面（管理）表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.admin.view
 */
class sbsAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // SBS設定情報の設定
        $this->assign('sbs_name'         , SBS_NAME);
        $this->assign('sbs_intro'        , SBS_INTRO);
        $this->assign('banner_size'      , BANNER_SIZE);
        $this->assign('page_size'        , PAGE_SIZE);
        $this->assign('pop_tag_size'     , POP_TAG_SIZE);
        $this->assign('hot_bookmark_days', HOT_BOOKMARK_DAYS);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('sbs_name'         , $request['SBS_NAME']);
            $this->assign('sbs_intro'        , $request['SBS_INTRO']);
            $this->assign('banner_size'      , $request['BANNER_SIZE']);
            $this->assign('page_size'        , $request['PAGE_SIZE']);
            $this->assign('pop_tag_size'     , $request['POP_TAG_SIZE']);
            $this->assign('hot_bookmark_days', $request['HOT_BOOKMARK_DAYS']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '管理画面-' . 'SBS設定');

        // メッセージの設定
        $this->assign('message', $request['msg']);

        return POCKET_ACTION_SUCCESS;
    }
}

?>
