<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ユーザ一覧画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.admin.view
 */
class userAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $search_id                = $request['search_id'];
        $search_email             = $request['search_email'];
        $page                     = $request['page'];

        /**
         *  メイン情報の取得、設定
         */
        // 検索条件の設定
        $this->assign('search_id', $search_id);
        $this->assign('search_email', $search_email);

        // ページ番号の取得
        $page = (empty($page)) ? 1 : $page;

        // ユーザ一覧情報の設定
        $this->assign('user_list', db_get_users4user_list(
            $search_id,
            pocket_encrypt($search_email, POCKET_SBS_ENCRYPT_KEY),
            $page, PAGE_SIZE)
        );
        // ユーザ一覧情報の件数の取得
        $hit_count = db_get_users_count4user_list(
            $search_id,
            pocket_encrypt($search_email, POCKET_SBS_ENCRYPT_KEY)
        );

        // ページング情報の設定
        $this->assignPagingInfo($page, PAGE_SIZE, $hit_count);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '管理画面-' . 'ユーザ一覧');

        // メッセージの設定
        $this->assign('message', $request['msg']);

        return POCKET_ACTION_SUCCESS;
    }
}

?>
