<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ユーザの編集画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.admin.view
 */
class userEditAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $user_id = $request['user_id'];
        $referer = $request['referer'];

        /**
         *  メイン情報の取得、設定
         */
        // リファラを設定
        $this->assign('referer', $_SERVER["HTTP_REFERER"]);

        // ユーザ情報の取得
        $user = db_get_user($user_id);

        // メールアドレスの復元
        $user['email'] = pocket_decrypt($user['email'], POCKET_SBS_ENCRYPT_KEY);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $user['id']                = $request['id'];
            $user['email']             = $request['email'];
            $user['nickname']          = $request['nickname'];
            $user['default_open_type'] = $request['default_open_type'];
            $user['simple_indication'] = $request['simple_indication'];
            $user['target_blank']      = $request['target_blank'];
            $user['bookmark_size']     = $request['bookmark_size'];
            $user['allow_login']       = $request['allow_login'];
            $this->assign('referer'    , $request['referer']);
        }

        // ユーザ情報の設定
        $this->assign('user', $user);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '管理画面-' . 'ユーザの編集');

        return POCKET_ACTION_SUCCESS;
    }
}

?>
