<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ユーザの登録画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.admin.view
 */
class userEntryAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // ログイン許可フラグの初期化設定
        $this->assign('allow_login', intval(true));

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('id'               , $request['id']);
            $this->assign('email'            , $request['email']);
            $this->assign('nickname'         , $request['nickname']);
            $this->assign('default_open_type', $request['default_open_type']);
            $this->assign('simple_indication', $request['simple_indication']);
            $this->assign('target_blank'     , $request['target_blank']);
            $this->assign('bookmark_size'    , $request['bookmark_size']);
            $this->assign('allow_login'      , $request['allow_login']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '管理画面-' . 'ユーザの登録');

        // メッセージの設定
        $this->assign('message', $request['msg']);

        return POCKET_ACTION_SUCCESS;
    }
}

?>
