<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ユーザのパスワード再発行画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.admin.view
 */
class userPasswordAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $user_id = $request['user_id'];
        $referer = $request['referer'];

        /**
         *  メイン情報の取得、設定
         */
        // リファラを設定
        $this->assign('referer', $_SERVER["HTTP_REFERER"]);

        // ユーザ情報の取得
        $user = db_get_user($user_id);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $user['password1']     = $request['password1'];
            $user['password2']     = $request['password2'];
            $this->assign('referer', $request['referer']);
        }

        // ユーザ情報の設定
        $this->assign('user', $user);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '管理画面-' . 'ユーザのパスワード再発行');

        return POCKET_ACTION_SUCCESS;
    }
}

?>
