<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  簡単ログイン処理用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.mobile.do
 */
class easyLoginAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // セッション情報を保持
        $temp = $_SESSION;
        // セッションの破棄
        session_destroy();
        // セッションIDの生成
        session_id(md5(uniqid(rand(), true)));
        // セッションの有効期限の設定
        ini_set('session.gc_maxlifetime', POCKET_SBS_SESSION_MAX_LIFE_TIME_MOBILE);

        // GCプロセスの始動確率の設定
        ini_set('session.gc_probability', POCKET_SBS_SESSION_PROBABILITY);

        ini_set('session.gc_divisor', POCKET_SBS_SESSION_DIVISOR);
        // セッションの開始
        session_start();
        // セッション情報の復元
        $_SESSION = $temp;

        // ユーザIDの取得
        $user_id = db_get_user_id4easy_login_id(md5(pocket_mobileId()));

        // ユーザIDの存在チェック
        if (!$user_id)
            pocket_redirect('login.view');

        // ログインユーザ情報を保持
        $_SESSION['user_id'] = $user_id;
        $_SESSION['password'] = rand();
        $_SESSION['login_module'] = 'mobile';

        // リダイレクト
        pocket_redirect('bookmarkList.view', array(session_name() => session_id()));
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // エラー表示用のAction名称の設定
        $this->viewAction = 'login';

        // 固体識別番号の取得
        $easy_login_id = pocket_mobileId();

        // 固体識別番号のチェック
        if (!$easy_login_id)
        {
            $validator->addErrors('id', '固体識別番号の取得に失敗しました。');
        }
        else
        {
            // ユーザIDの取得
            if (!db_get_user_id4easy_login_id(md5($easy_login_id)))
            {
                $validator->addErrors('id', 'ログインに失敗しました。');
            }
        }
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return false;
    }
}

?>
