<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  簡単ログイン更新処理用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.mobile.do
 */
class easyLoginUpdateAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $update = $request['update'];

        // 処理種別の判断
        if ($update)
        {
            // 固体識別番号の更新
            db_update_userEasyLoginId($_SESSION['user_id'], md5(pocket_mobileId()));
        }
        else
        {
            // 固体識別番号の更新
            db_update_userEasyLoginId($_SESSION['user_id'], '');
        }

        // メッセージの作成
        $params = array('msg' => '設定を更新しました。');

        // リダイレクト
        pocket_redirect('easyLoginSetting.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $password = $request['password'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'easyLoginSetting';

        // 検証
        $validator->validate('password', 'パスワード', $password, 'alnum', true);

        // ID、パスワードの認証
        if (!db_auth_user4password($_SESSION['user_id'], md5($password)))
        {
            $validator->addErrors('id', 'ユーザ認証に失敗しました。');
        }

        // 固体識別番号のチェック
        if (!pocket_mobileId())
        {
            $validator->addErrors('id', '固体識別番号の取得に失敗しました。');
        }
    }
}

?>
