<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  トップページ画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.mobile.view
 */
class defaultAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  基本情報の取得
         */
        // ページ番号の設定
        $page = 1;
        $page_size = 5;

        // 新着のブックマーク情報の取得、設定
        $this->assign('new_list', db_get_bookmarks4latest_list($page, $page_size));

        // 注目のブックマーク情報の取得、設定
        $this->assign('hot_list', db_get_bookmarks4hot_list(-HOT_BOOKMARK_DAYS, $page, $page_size));

        // 人気のブックマーク情報の取得、設定
        $this->assign('pop_list', db_get_bookmarks4pop_list($page, $page_size));

        /**
         *  基本情報の設定
         */
        // ページタイトル
        $this->assign('page_title', 'トップページ');

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return false;
    }
}

?>
