<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ブックマーク情報削除用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.pc.do
 */
class bookmarkDeleteAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $target_user_id = $request['target_user_id'];
        $bookmark_id    = $request['bookmark_id'];

        // ブックマーク情報の削除
        db_delete_bookmark($bookmark_id);

        // リダイレクト
        pocket_redirect('bookmarkList.view', array('target_user_id' => $target_user_id));
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $target_user_id = $request['target_user_id'];
        $bookmark_id    = $request['bookmark_id'];

        // メンテナンス許可検証
        $this->isAllowMaintenance($target_user_id);

        // ブックマーク情報の存在チェック
        if (!db_get_bookmark($bookmark_id))
            pocket_redirect('default.view');
    }
}

?>
