<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ブックマークのインポート用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.pc.view
 */
class exportAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $target_user_id   = $request['target_user_id'];
        $exp_browser_type = $request['exp_browser_type'];

        // ユーザ情報の取得
        $user = db_get_user($target_user_id);
        // ユーザ情報の存在チェック
        if (!$user)
            return;

        // エクスポート用のブックマーク情報の取得
        $bookmarks = db_get_bookmarks4export($target_user_id);

        if ($exp_browser_type == 'ie' || $exp_browser_type == 'mozilla')
        {
            // ブックマーク情報（HTM形式）のエクスポート
            psb_putHtmBookmark($bookmarks);
        }
        elseif ($exp_browser_type == 'opera')
        {
            // ブックマーク情報（ADR形式）のエクスポート
            psb_putAdrBookmark($bookmarks);
        }

        exit();
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $target_user_id   = $request['target_user_id'];
        $exp_browser_type = $request['exp_browser_type'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'impexp';

        // ユーザ指定されているかチェック
        if ($target_user_id)
        {
            // メンテナンス許可検証
            $this->isAllowMaintenance($target_user_id);
        }
        else {
            pocket_dispError('不正な操作がおこなわれました。');
        }

        // 検証
        $validator->validate('exp_browser_type', 'ファイル区分', $exp_browser_type, 'string', true);
    }
}

?>
