<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ブックマークのインポート用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.pc.view
 */
class importAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $target_user_id   = $request['target_user_id'];
        $imp_browser_type = $request['imp_browser_type'];
        $open_type        = $request['open_type'];
        $file_name        = $_FILES['upload_file']['name'];
        $file_temp        = $_FILES['upload_file']['tmp_name'];
        $file_type        = $_FILES['upload_file']['type'];

        // 一時ファイルの読込
        $lines = @file($file_temp);

        // カウンターの初期化
        $count = 0;

        foreach ($lines as $key => $line)
        {
            // 改行コードの削除
            $line = str_replace("\r\n", "\n", $line);
            $line = str_replace("\r", "\n", $line);
            $line = str_replace("\n", "", $line);

            // UTF-8に変換
            $line = trim(mb_convert_encoding($line, 'UTF-8', 'UTF-8, SJIS'));

            // ファイル区分判断
            if ($imp_browser_type == 'ie' || $imp_browser_type == 'mozilla')
            {
                if (ereg("<DT><A HREF", $line))
                {
                    // URL、タイトルを取得
                    $url         = ereg_replace("([^H]*HREF=\")([^\"]*)(\".*)", "\\2", $line);
                    $subject     = ereg_replace("^( *<DT><[^>]*>)([^<]*)(.*)" , "\\2", $line);
                    $explanation = '';
                    $tags        = '';

                    // タイトルが取得できているか確認
                    if ($subject)
                    {
                        // URLの存在確認
                        if (!db_is_exist_url4url($url))
                        {
                            // ブックマーク情報の登録
                            $bookmark_id = db_insert_bookmark($target_user_id, $url, $subject, $explanation, $tags, $open_type);
                            $count++;
                        }
                    }
                }
            }
            elseif ($imp_browser_type == 'opera')
            {
                if (substr($line, 0, strlen('NAME=')) == 'NAME=')
                {
                    // タイトルを取得
                    $subject = substr($line, strlen('NAME='));
                }
                elseif (substr($line, 0, strlen('URL=')) == 'URL=')
                {
                    // URLを取得
                    $url = substr($line, strlen('URL='));
                }
                elseif (substr($line, 0, strlen('DESCRIPTION=')) == 'DESCRIPTION=')
                {
                    // 説明を取得
                    $explanation = substr($line, strlen('DESCRIPTION='));
                }
                elseif ($line == '#URL' || strlen($line) == 0 || $line == "-")
                {
                    // URL、タイトルが取得できたか確認
                    if ($url && $subject)
                    {
                        // URLの存在確認
                        if (!db_is_exist_url4url($url))
                        {
                            // ブックマーク情報の登録
                            $bookmark_id = db_insert_bookmark($target_user_id, $url, $subject, $explanation, $tags, $open_type);
                            $count++;
                        }
                    }

                    // 初期化
                    $url         = '';
                    $subject     = '';
                    $explanation = '';
                    $tags        = '';
                }
            }
        }

        // ブラウザ区分、メッセージの作成
        $params = array('imp_browser_type' => $imp_browser_type, 'msg' => $count . '件のインポートが完了しました。');

        // リダイレクト
        pocket_redirect('impexp.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $target_user_id   = $request['target_user_id'];
        $imp_browser_type = $request['imp_browser_type'];
        $open_type        = $request['open_type'];
        $file_name        = $_FILES['upload_file']['name'];
        $file_temp        = $_FILES['upload_file']['tmp_name'];
        $file_type        = $_FILES['upload_file']['type'];

        // メンテナンス許可検証
        $this->isAllowMaintenance($target_user_id);

        // エラー表示用のAction名称の設定
        $this->viewAction = 'impexp';

        // 検証
        $validator->validate('imp_browser_type', 'ファイル区分', $imp_browser_type, 'string', true);
        $validator->validate('open_type'       , '公開状態'    , $open_type       , 'number', true);

        // ファイルアップロードのエラーコードチェック
        if ($_FILES['upload_file']['error'] != UPLOAD_ERR_OK)
        {
            $validator->addErrors('upload_file', 'ファイルのアップロードに失敗しました。');
        }
        else {
            // 一時ファイル名称のチェック
            if ($file_temp == 'none' || $file_temp == '')
            {
                $validator->addErrors('upload_file', 'ファイルのアップロードに失敗しました。');
            }
            else {
                // ファイル種別のチェック
                if (!(strpos($file_name, '.html') > 0) && !(strpos($file_name, '.htm') > 0) && !(strpos($file_name, '.adr') > 0))
                {
                    $validator->addErrors('upload_file', 'ファイルのアップロードに失敗しました。');
                }
            }
        }
    }
}

?>
