<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  プロフィール情報更新用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.pc.do
 */
class profileUpdateAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $nickname          = $request['nickname'];
        $default_open_type = $request['default_open_type'];
        $simple_indication = $request['simple_indication'];
        $target_blank      = $request['target_blank'];
        $bookmark_size     = $request['bookmark_size'];

        // プロフィールの更新
        db_update_userProfile(
            $_SESSION['user_id'],
            $nickname,
            $default_open_type,
            $simple_indication,
            $target_blank,
            $bookmark_size
        );

        // メッセージの作成
        $params = array('msg' => 'プロフィールを更新しました。');

        // リダイレクト
        pocket_redirect('profile.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $nickname          = $request['nickname'];
        $default_open_type = $request['default_open_type'];
        $simple_indication = $request['simple_indication'];
        $target_blank      = $request['target_blank'];
        $bookmark_size     = $request['bookmark_size'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'profile';

        // 検証
        $validator->validate('nickname'   , 'ニックネーム', $nickname   , 'string', true);
    }
}

?>
