<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ブックマーク削除確認画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.pc.view
 */
class bookmarkDeleteConfirmAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $target_user_id = $request['target_user_id'];
        $bookmark_id    = $request['bookmark_id'];
        $referer        = $request['referer'];

        /**
         *  メイン情報の取得、設定
         */
        // ターゲットユーザIDの設定
        $this->assign('target_user_id', $target_user_id);

        // リファラの設定
        $this->assign('referer', $_SERVER["HTTP_REFERER"]);

        // ユーザ情報の取得、設定
        $this->assign('user', db_get_user($target_user_id));

        // ブックマーク情報の取得、設定
        $bookmark = db_get_bookmark($bookmark_id);
        $this->assign('bookmark', $bookmark);

        // ブックマーク情報の存在チェック
        if (!$bookmark)
            pocket_redirect('default.view');

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', 'ブックマークの削除');

        // 指定ユーザのタグ情報の取得、設定
        $this->assign('user_tags_list', psb_makeTagCloud(db_get_tags4user_id($target_user_id)));

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $target_user_id = $request['target_user_id'];

        // メンテナンス許可検証
        $this->isAllowMaintenance($target_user_id);
    }
}

?>
