<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  新着のブックマーク一覧画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.pc.view
 */
class defaultAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $page = $request['page'];

        /**
         *  メイン情報の取得、設定
         */
        // ページ番号の取得
        $page = (empty($page)) ? 1 : $page;

        // 新着のブックマーク情報の取得、設定
        $this->assign('bookmarks', db_get_bookmarks4latest_list($page, PAGE_SIZE));
        // 新着のブックマーク件数の取得
        $hit_count = db_get_bookmarks_count4latest_list();

        // ページング情報の設定
        $this->assignPagingInfo($page, PAGE_SIZE, $hit_count);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '新着のブックマーク');

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return false;
    }
}

?>
