<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ブックマークのインポート/エクスポート画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.pc.view
 */
class impexpAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $imp_browser_type = $request['imp_browser_type'];
        $exp_browser_type = $request['exp_browser_type'];
        $open_type        = $request['open_type'];

        /**
         *  メイン情報の取得、設定
         */
        // ユーザ情報の取得
        $user = db_get_user($_SESSION['user_id']);

        // ユーザ情報の存在チェック
        if (!$user)
            pocket_redirect('default.view');

        // ターゲットユーザIDの取得、設定
        $this->assign('target_user_id', $user['user_id']);

        // ユーザのデフォルトの公開区分の設定
        $this->assign('open_type', $user['default_open_type']);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('imp_browser_type', $request['imp_browser_type']);
            $this->assign('exp_browser_type', $request['exp_browser_type']);
            $this->assign('open_type'       , $request['open_type']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトル
        $this->assign('page_title', 'インポート/エクスポート');

        // 指定ユーザのタグ情報の取得、設定
        $this->assign('user_tags_list', psb_makeTagCloud(db_get_tags4user_id($user['user_id'])));

        // メッセージの設定
        $this->assign('message', $request['msg']);

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }
}

?>
