<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  パスワード変更画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.pc.view
 */
class passwordAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('password0', $request['password0']);
            $this->assign('password1', $request['password1']);
            $this->assign('password2', $request['password2']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトル
        $this->assign('page_title', 'パスワード変更');

        // 指定ユーザのタグ情報の取得、設定
        $this->assign('user_tags_list', psb_makeTagCloud(db_get_tags4user_id($_SESSION['user_id'])));

        // メッセージの設定
        $this->assign('message', $request['msg']);

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }
}

?>
