<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  プロフィール画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.pc.view
 */
class profileAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // ユーザ情報の取得
        $user = db_get_user($_SESSION['user_id']);

        // メールアドレスの復元
        $user['email'] = pocket_decrypt($user['email'], POCKET_SBS_ENCRYPT_KEY);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $user['nickname']          = $request['nickname'];
            $user['default_open_type'] = $request['default_open_type'];
            $user['simple_indication'] = $request['simple_indication'];
            $user['target_blank']      = $request['target_blank'];
            $user['bookmark_size']     = $request['bookmark_size'];
        }

        // ユーザ情報の設定
        $this->assign('user', $user);

        /**
         *  基本情報の設定
         */
        // ページタイトル
        $this->assign('page_title', 'プロフィール');

        // 指定ユーザのタグ情報の取得、設定
        $this->assign('user_tags_list', psb_makeTagCloud(db_get_tags4user_id($_SESSION['user_id'])));

        // メッセージの設定
        $this->assign('message', $request['msg']);

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }
}

?>
