<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  RSS2.0表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.pc.view
 */
class rss20Action extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $hot = $request['hot'];
        $pop = $request['pop'];

        /**
         *  メイン情報の取得、設定
         */
         if (isset($hot))
         {
            // 注目のブックマーク情報（RSS用）の取得、設定
            $this->assign('rss_list', db_get_bookmarks4hot_list(-HOT_BOOKMARK_DAYS, 1, PAGE_SIZE));
            // サブタイトルの設定
            $this->assign('sub_title', '注目のブックマーク');
         }
         elseif (isset($pop))
         {
            // 人気のブックマーク情報（RSS用）の取得、設定
            $this->assign('rss_list', db_get_bookmarks4pop_list(1, PAGE_SIZE));
            // サブタイトルの設定
            $this->assign('sub_title', '人気のブックマーク');
         }
         else {
            // 新着のブックマーク情報（RSS用）の取得、設定
            $this->assign('rss_list', db_get_bookmarks4latest_list(1, PAGE_SIZE));
            // サブタイトルの設定
            $this->assign('sub_title', '新着のブックマーク');
         }

        // HTTPヘッダの設定
        $controller->setContentType("Content-type: text/xml;charset=" . $this->smarty->output_charset);

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return false;
    }
}

?>
