<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  検索結果ブックマーク一覧画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.pc.view
 */
class searchResultListAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $keyword     = $request['keyword'];
        $search_type = $request['search_type'];
        $page        = $request['page'];

        /**
         *  メイン情報の取得、設定
         */
        // キーワードの取得、設定
        $keyword = str_replace(" ", "　", $keyword);
        $this->assign('keyword', $keyword);

        // 検索タイプの設定
        $this->assign('search_type', $search_type);

        // ページ番号の取得
        $page = (empty($page)) ? 1 : $page;

        // 検索タイプの判定
        switch ($search_type)
        {
        case "url":
            // キーワード検索（URL）のブックマーク一覧情報の取得、設定
            $this->assign('bookmarks', db_get_bookmarks4url_keyword($keyword, null, true, $page, PAGE_SIZE));
            // キーワード検索（URL）のブックマーク件数の取得
            $hit_count = db_get_bookmarks_count4url_keyword($keyword, null, true);
            break;
        case "tag":
        default:
            // キーワード検索（タグ）のブックマーク一覧情報の取得、設定
            $this->assign('bookmarks', db_get_bookmarks4tag_keyword($keyword, null, true, $page, PAGE_SIZE));
            // キーワード検索（タグ）のブックマーク件数の取得
            $hit_count = db_get_bookmarks_count4tag_keyword($keyword, null, true);
            break;
        }

        // ページング情報の設定
        $this->assignPagingInfo($page, PAGE_SIZE, $hit_count);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '検索結果一覧');

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return false;
    }
}

?>
