<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ブックマークユーザ一覧画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.pc.view
 */
class userListAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $url_id = $request['url_id'];

        /**
         *  メイン情報の取得、設定
         */
        // URLIDの設定
        $this->assign('url_id', $url_id);
        // URLの設定
        $this->assign('url', db_get_url_string($url_id));

        // 指定URLの最新ブックマーク（公開）情報の取得
        $bookmark_latest_info = db_get_bookmark4latest_info($url_id);

        // 指定URLの最新ブックマーク（公開）情報の取得の存在チェック
        if (!$bookmark_latest_info)
            pocket_redirect('default.view');

        // 指定URLの最新ブックマーク（公開）情報の設定
        $this->assign('bookmark_latest_info', $bookmark_latest_info);

        // 認証判定
        if (pocket_isAuth())
        {
            // URLの登録済フラグを設定
            if (db_is_exist_bookmark4user_url($_SESSION['user_id'], $bookmark_latest_info['url']))
                $this->assign('is_registered', true);
        }

        // URLをブックマーク（公開）しているユーザ一覧情報の取得、設定
        $this->assign('users', db_get_bookmark_user_list4url_id($url_id));
        // URLをブックマーク（公開）しているユーザ数の取得
        $this->assign('user_count', db_get_bookmark_user_count4url_id($url_id));

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', 'ブックマークユーザ一覧');

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return false;
    }
}

?>
