<?php
/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  セットアップ完了画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketSBS.setup.view
 */
class setupCompleteAction extends Pocket_Sbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $email = $request['email'];

        // ユーザの存在チェック
        if (!db_is_exist_user4email(pocket_encrypt($email, POCKET_SBS_ENCRYPT_KEY)))
        {
            // リダイレクト
            pocket_redirect('setupError.view');
        }

        /**
         *  基本情報の設定
         */
        // ページタイトル
        $this->assign('page_title', 'セットアップ完了');

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return false;
    }
}

?>
